# Installing libraries
* [opencv-python](https://pypi.org/project/opencv-python/) - OpenCV python wrapper
* [python-magic](https://pypi.org/project/python-magic/) - to access the libmagic file type identification library
* [Keras](https://pypi.org/project/Keras/) - high-level neural networks API
* [tensorflow](https://pypi.org/project/tensorflow/) - library for high performance numerical computation
* [sklearn](https://pypi.org/project/scikit-learn/) - machine learning built on top of SciPy
`pip install opencv-python python-magic Keras tensorflow sklearn`

# Get Bing API code
It is necessary for automatic image downloading based on keyword search. **Be careful because there's only 7-day free trial**
* Visit [Microsoft Azure](https://azure.microsoft.com/en-us/try/cognitive-services/) page
* Go to *Search APIs* section a pick *Bing Search APIs v7*
* Chose *Guest* with 7-day free trial
* You can sign in with your school Microsoft account
* Put a copy of the API key into the buildDataset.py script

# Build dataset
Run `python buildDataset.py` twice and each time enter different keyword term for an item to search for which will be put into dataset.

# Train model
Run `python train.py` and you will be prompted to pick the dataset by name

# Test model
Run `python classify.py` or `python classify-directory.py` and you will be prompted to pick the model and image/directory to classify
